package com.slodon.b2b2c.vo.seller;

import com.slodon.b2b2c.seller.pojo.EnquiryReceiveMailSetting;
import com.slodon.b2b2c.system.pojo.AdminEnquiryReceiveMailSetting;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author cyan
 */
@Data
public class AdminEnquiryReceiverMailVO implements Serializable {

    private static final long serialVersionUID = -8426680439937326616L;
    private Long id;

    private String webSite;

    private String email;

    private String phone;

    private Long operateUid;

    private Integer isDel;

    private String operateName;

    private Date createTime;

    public AdminEnquiryReceiverMailVO(AdminEnquiryReceiveMailSetting adminEnquiryReceiveMailSetting) {
        id = adminEnquiryReceiveMailSetting.getId();
        webSite = adminEnquiryReceiveMailSetting.getWebSite();
        email = adminEnquiryReceiveMailSetting.getEmail();
        phone = adminEnquiryReceiveMailSetting.getPhone();
        operateUid = adminEnquiryReceiveMailSetting.getOperateUid();
        operateName = adminEnquiryReceiveMailSetting.getOperateName();
        isDel = adminEnquiryReceiveMailSetting.getIsDel();
        createTime = adminEnquiryReceiveMailSetting.getCreateTime();
    }

}
